/*			- MATH.H -

   The ANSI-defined (+ a few additional) mathematical functions.
	   
   Version: 3.20 [ICLM]
	   
*/

#ifndef _MATH_INCLUDED
#define _MATH_INCLUDED

#ifndef HUGE_VAL
#if sizeof(float)==sizeof(double)
#define HUGE_VAL 3.402823466e+38
#else
#define HUGE_VAL 1.7976931348623158e+308
#endif

#endif

#if __TID__ & 0x8000
#pragma function=intrinsic(0)
#endif

double atan (double arg);

double atan2 (double arg1, double arg2);

double cos (double arg);

double fabs(double arg);

double fmod(double arg1, double arg2);

double exp (double arg);

double ldexp (double arg1, int arg2);

double log (double arg);

double log10 (double arg);

double modf (double value, double *iptr);

double pow (double arg1, double arg2);

double sin (double arg);

double sqrt (double arg);

double tan (double arg);

double floor (double arg);

double ceil (double arg);

double frexp (double arg1, int *arg2);

double acos (double arg);

double asin (double arg);


#if __TID__ & 0x8000
#pragma function=default
#endif

#endif





