/*			- STDLIB.H -

   The ANSI-defined 'standard' functions.

   Version: 3.20 [ICLM]

*/

#ifndef _STDLIB_INCLUDED
#define _STDLIB_INCLUDED

#ifndef size_t
#if sizeof((char *)0 - (char *)0) == sizeof(int)
#define size_t		unsigned int
#else
#define size_t		unsigned long
#endif
#endif

#ifndef NULL
#define	NULL	(void*) 0 
#endif

typedef	struct
	{
	  int	quot;
	  int	rem;
	} div_t;

typedef	struct
	{
	  long int	quot;
	  long int	rem;
	} ldiv_t;


#define RAND_MAX	32768

#define EXIT_SUCCESS	0
#define EXIT_FAILURE	1


#if __TID__ & 0x8000
#pragma function=intrinsic(0)
#endif

void	*malloc(size_t size);

void	free(void *ptr);

void	exit(int status);

void	*calloc(unsigned int nelem, size_t elsize);

void	*realloc(void *ptr, size_t size);

int atoi (const char *nptr);

long atol (const char *nptr);

double atof (const char *nptr);

double strtod(const char *nptr, char **endptr);

long int strtol(const char *nptr, char **endptr, int base);

unsigned long int strtoul(const char *nptr, char **endptr, int base);

int rand(void);

void srand(unsigned int seed);

void abort(void);

int abs(int j);

div_t div(int numer, int denom);

long int labs(long int j);

ldiv_t ldiv(long int numer, long int denom);

#if __TID__ & 0x8000
#pragma function=default
#endif

#endif

