/*			 - STRING.H -

   The ANSI 'string' function declarations.
	   
   Version: 3.20 [ICLM]

*/

#ifndef _STRING_INCLUDED
#define _STRING_INCLUDED

#ifndef	NULL
#define NULL	(char*)0
#endif

#ifndef size_t
#if sizeof((char *)0 - (char *)0) == sizeof(int)
#define size_t		unsigned int
#else
#define size_t		unsigned long
#endif
#endif

#if __TID__ & 0x8000
#pragma function=intrinsic(0)
#endif

void *memcpy(void *s1, const void *s2, size_t n);

void *memmove(void *s1, const void *s2, size_t n);

void *memchr(const void *s, int c, size_t n);

void *memset(void *s, int c, size_t n);

int memcmp(const void *s1, const void *s2, size_t n);

char *strchr(const char *s, int c);

int strcmp(const char *s1, const char *s2);

int strncmp(const char *s1, const char *s2, size_t n);

int strcoll(const char *s1, const char *s2);

size_t strlen(const char *s);

size_t strcspn(const char *s1, const char *s2);

size_t strspn(const char *s1, const char *s2);

char *strpbrk(const char *s1, const char *s2);

char *strrchr(const char *s, int c);

char *strstr(const char *s1, const char *s2);

char *strcat(char *s1, const char *s2);

char *strncat(char *s1, const char *s2, size_t n);

char *strcpy(char *s1, const char *s2);

char *strncpy(char *s1, const char *s2, size_t n);

#if __TID__ & 0x8000
#pragma function=default
#endif

#endif


