/*             - TUT3CHAR.C -

  The ANSI "putchar" function as modified in
  Tutorial #3: Modifying CSTARTUP and putchar()
  This putchar converts tabs to spaces.
  eag 17 Jul 90
     
*/

#include <stdio.h>
#include <io51.h>

#define TAB    0x09      /* ASCII codes for characters */
#define SPACE  0x20
#define LF     '\n'
#define CR     '\r'

static void low_level_put(char c)
  {
    do { } while (!TI);
    TI = 0;
    SBUF = c;
  }

int putchar(int val)
  {
    if (val == LF)          /* EOL (LF) should be converted to CR-LF */
      {
        low_level_put (CR);
        low_level_put (LF);
      }
    else if (val == TAB)      /* Replace TAB with SPACE */
     {
        low_level_put (SPACE);
     }
    else
     low_level_put (val);

    return (val);
  }
